petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecWAXPY

Computes w = alpha x + y.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecWAXPY(Vec w,PetscScalar alpha,Vec x,Vec y)

Logically Collective on Vec Many br

### Input Parameters

| alpha | - the scalar Many br
| x, y | - the vectors Many br

### Output Parameter

w -the result Many br

Many br

Notes: w cannot be either x or y, but x and y can be the same Many br

### See Also

VecAXPY(), VecAYPX(), VecAXPBY()

Level:intermediate
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1f.F.html
src/vec/vec/examples/tutorials/ex1f90.F.html
src/vec/vec/examples/tutorials/ex20f90.F90.html
src/snes/examples/tutorials/ex74f.F90.html
src/ts/examples/tutorials/ex10.c.html
src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html